Bug 1692592 - "Enable menu to select boot device shows 10 device listed with cdrom at 10th slot but when selecting 10 option the VM took 1 as option and boot with disk
Summary: "Enable menu to select boot device shows 10 device listed with cdrom at 10th...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine
Version: 4.2.8
Hardware: All
OS: Linux
unspecified
high
Target Milestone: ovirt-4.4.1
: ---
Assignee: Nobody
QA Contact: Beni Pelled
URL:
Whiteboard:
Depends On: 1693031
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-03-26 01:10 UTC by Pawan kumar Vilayatkar
Modified: 2020-08-04 13:19 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Previously, items with number ten and higher on the BIOS boot menu were not assigned sequential indexes. This made it difficult to select those items. The current release fixes this issue. Now, items ten and higher are assigned letter indexes. Users can select those items by entering the corresponding letter.
Clone Of:
Environment:
Last Closed: 2020-08-04 13:16:58 UTC
oVirt Team: Virt
Target Upstream Version:
rbarry: needinfo-
lsvaty: testing_plan_complete-


Attachments (Terms of Use)
Boot menu with more than 9 devices (62.33 KB, image/png)
2020-03-22 14:41 UTC, Beni Pelled
no flags Details


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2020:3247 0 None None None 2020-08-04 13:19:10 UTC

Description Pawan kumar Vilayatkar 2019-03-26 01:10:00 UTC
Description of problem:

Booting with ISO even after changing the boot as first boot device cdrom.
Booting VM uswaspl80a in Run Once with CDROM attached, the option "Enable menu to select boot device" checked and "Predefined Boot Sequence" selected as "
CD-ROM as a first boot device, the boot and when pressing ESC the boot option there are virtio device listed and cdrom is listed 10.

When we pressed 10 option the VM took 1 as option and boot with disk then we rebooted the VM and these we selected the '0' option after which the VM booted
with CD_ROM, so it seems to be a bug for not allowing to enter 2 digit number selection. 



Version-Release number of selected component (if applicable):
rhvm 4.2.8

How reproducible:

I recreate a VM with 10 disks.
Then attached CD to the iso from the ISO domain.
GUI -> Compute -> Virtual Machine -> Select VM -> Edit -> Boot Options
Checked "Attach CD" and selected iso image.
Also Checked "Enable menu to select boot device".
Started the VM, open the VM console window, hit the ESC key to get the menu.
The DVD/CD was number 11.  
If entered 11, then the disk 1 would boot.


Steps to Reproduce:
1. Create VM with 10 disk
2. Then attached CD to the iso from the ISO domain.
3. Checked "Attach CD" and selected iso image.
4. Also Checked "Enable menu to select boot device".
5. Started the VM, open the VM console window, hit the ESC key to get the menu.
The DVD/CD was number 11.  
6. If entered 11, then the disk 1 would boot.

Actual results:
When we press 10 option the VM took 1 as option and boot with disk and we select the '0' option after which the VM booted with CD_ROM, so it seems to be a bug for not allowing to enter 2 digit number selection.



Expected results:
The boot menu should take 2 digit number for booting

Additional info:

Comment 4 Daniele 2019-03-26 12:25:58 UTC
I tested on https://lab-rhevm.gsslab.brq.redhat.com (4.2.4.5).
I can select #10 with "0", #11 with "-" and #12 with "=".
No idea how to select anything past that. Also, this is not intuitive at all.

Comment 5 Ryan Barry 2019-03-27 00:22:27 UTC
This will need a platform bug, since it's in seabios.

In the meantime, using the top row of keys is an acceptable workaround

Comment 6 Ryan Barry 2019-03-27 01:03:39 UTC
Deferring while we wait for platform

Comment 7 Ryan Barry 2019-03-27 01:21:19 UTC
Also note that, especially in run once mode, wetting the cdrom as the primary boot device works in testing. No need for the menu

Comment 9 Marina Kalinin 2019-07-15 15:37:40 UTC
(In reply to Ryan Barry from comment #7)
> Also note that, especially in run once mode, wetting the cdrom as the
> primary boot device works in testing. No need for the menu

Hi Pawan, did you see this suggestion?
If you go run once and put CDRom as a first bootable device, it should be elected automatically without prompting.
Can you please confirm this with the customer as a workaround and create a KCS for it?

Comment 10 Daniel Gur 2019-08-28 13:15:25 UTC
sync2jira

Comment 11 Daniel Gur 2019-08-28 13:21:12 UTC
sync2jira

Comment 12 RHV bug bot 2019-12-13 13:15:18 UTC
WARN: Bug status (ON_QA) wasn't changed but the folowing should be fixed:

[Found non-acked flags: '{}', ]

For more info please contact: rhv-devops@redhat.comINFO: Bug status (ON_QA) wasn't changed but the folowing should be fixed:

[Found non-acked flags: '{}', ]

For more info please contact: rhv-devops@redhat.com

Comment 13 RHV bug bot 2019-12-20 17:44:59 UTC
WARN: Bug status (ON_QA) wasn't changed but the folowing should be fixed:

[Found non-acked flags: '{}', ]

For more info please contact: rhv-devops@redhat.comINFO: Bug status (ON_QA) wasn't changed but the folowing should be fixed:

[Found non-acked flags: '{}', ]

For more info please contact: rhv-devops@redhat.com

Comment 14 RHV bug bot 2020-01-08 14:49:12 UTC
WARN: Bug status (ON_QA) wasn't changed but the folowing should be fixed:

[Found non-acked flags: '{}', ]

For more info please contact: rhv-devops@redhat.comINFO: Bug status (ON_QA) wasn't changed but the folowing should be fixed:

[Found non-acked flags: '{}', ]

For more info please contact: rhv-devops@redhat.com

Comment 15 RHV bug bot 2020-01-08 15:16:24 UTC
WARN: Bug status (ON_QA) wasn't changed but the folowing should be fixed:

[Found non-acked flags: '{}', ]

For more info please contact: rhv-devops@redhat.comINFO: Bug status (ON_QA) wasn't changed but the folowing should be fixed:

[Found non-acked flags: '{}', ]

For more info please contact: rhv-devops@redhat.com

Comment 16 RHV bug bot 2020-01-24 19:51:02 UTC
WARN: Bug status (ON_QA) wasn't changed but the folowing should be fixed:

[Found non-acked flags: '{}', ]

For more info please contact: rhv-devops@redhat.comINFO: Bug status (ON_QA) wasn't changed but the folowing should be fixed:

[Found non-acked flags: '{}', ]

For more info please contact: rhv-devops@redhat.com

Comment 17 Beni Pelled 2020-03-22 14:38:47 UTC
Verified on:
- RHV 4.4.0-0.26.master.el8ev

Verification steps:
1. Create a VM with 10 disks.
2. Attach an ISO file by "Boot Options > Attach CD"
3. Check the "Boot Options > Enable menu to select boot device"
4. Start the VM and open console
5. Press ESC for the boot menu
6. Select the CD device by selecting some letter (a/b/c - screenshot attached)

Result:

- The VM is booted from the CD-ROM or any other device with a higher number than 9 by selecting a letter (screenshot attached)

Comment 18 Beni Pelled 2020-03-22 14:41:40 UTC
Created attachment 1672308 [details]
Boot menu with more than 9 devices

Comment 27 errata-xmlrpc 2020-08-04 13:16:58 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Important: RHV Manager (ovirt-engine) 4.4 security, bug fix, and enhancement update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2020:3247


Note You need to log in before you can comment on or make changes to this bug.